/******/ (function() { // webpackBootstrap
!function() {
var $ = jQuery;
var __ = mewz.i18n.__;
var $attributesTable, $manageStock, $form; // add stock column to attributes table as early as possible

if (window.hasOwnProperty('mewz_wcas_attributes_table_stock')) {
  $attributesTable = $('.attributes-table');

  if ($attributesTable.length) {
    addAttributesTableStockColumn();
  }
}

jQuery(function () {
  $manageStock = $('#mewz_wcas_manage_stock');
  $form = $manageStock.closest('form');
  $manageStock.on('change', toggleManageStock);
  setTimeout(toggleManageStock);

  if ($form.attr('id') === 'addtag') {
    // WP uses the same "click" listener, and it works for submitting with "enter" too
    $form.find('#submit').on('click', clearAddFieldValues);
  }
});

function toggleManageStock() {
  $('.mewz-wcas-attribute-fields').toggleClass('show', $manageStock.prop('checked'));
}

function clearAddFieldValues() {
  var $fields = $('.mewz-wcas-attribute-fields');
  if (!$fields.length) return;
  setTimeout(function () {
    if ($form.find('.form-invalid').length) {
      return;
    }

    $manageStock.prop('checked', false);
    $fields.removeClass('show');
    $fields.find('input').val('');
  });
}

function addAttributesTableStockColumn() {
  if (!window.hasOwnProperty('mewz_wcas_attributes_table_stock')) {
    return;
  }

  var stocks = window.mewz_wcas_attributes_table_stock;
  var $headRow = $attributesTable.find('> thead > tr');
  var $th = $headRow.find('th:first-child').clone().text(__('Stock', 'woocommerce-attribute-stock'));
  $headRow.find('th:nth-child(2)').after($th);
  $attributesTable.find('> tbody > tr').each(function () {
    var $tr = $(this);
    var attrId = parseInt($tr.find('.edit a').attr('href').match(/&edit=(\d+)/)[1]);
    $tr.find('td:nth-child(2)').after($('<td/>').html(stocks[attrId]));
  });
}
}();
!function() {
"use strict";
// extracted by mini-css-extract-plugin

}();
/******/ })()
;